Summary:       Serial terminal for the gnome desktop
Name:          moserial
Version:       2.30.0
Release:       3%{?dist}
Group:         Applications/Communications
License:       GPLv3+
URL:           http://live.gnome.org/moserial/
Source0:       http://ftp.gnome.org/pub/GNOME/sources/moserial/2.30/moserial-%{version}.tar.bz2
BuildRequires: vala
BuildRequires: intltool
BuildRequires: gtk2-devel
BuildRequires: GConf2-devel
BuildRequires: rarian-compat
BuildRequires: gnome-doc-utils
BuildRequires: perl(XML::Parser)
BuildRequires: desktop-file-utils
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      yelp
Requires:      hicolor-icon-theme
%description
Moserial is a clean, friendly gtk-based serial terminal for the gnome
desktop. It is written in Vala for extra goodness.

%prep
%setup -q
[ -s README ] && exit 1
find -name *.c -print0 | xargs --null chmod 0644
chmod 0644 AUTHORS ChangeLog.pre-git NEWS COPYING MAINTAINERS

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="%{__install} -p"
desktop-file-install --delete-original             \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog ChangeLog.pre-git COPYING MAINTAINERS NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/%{name}
%{_datadir}/omf/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.30.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 17 2011 Terje Rosten <terje.rosten@ntnu.no> - 2.30.0-2
- Fix buildreq (#660805)

* Thu Jun 17 2010 Terje Rosten <terje.rosten@ntnu.no> - 2.30.0-1
- 2.30.0

* Sat Dec 05 2009 Terje Rosten <terje.rosten@ntnu.no> - 2.28.0-2
- rarian-compat needed to build

* Sat Dec 05 2009 Terje Rosten <terje.rosten@ntnu.no> - 2.28.0-1
- 2.28.0
- Fix file perms

* Tue Aug 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 2.27.3-2
- Use bzipped upstream tarball.

* Fri Jul 31 2009 Terje Rosten <terje.rosten@ntnu.no> - 2.27.3-1
- 2.27.3

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.26.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 30 2009 Terje Rosten <terje.rosten@ntnu.no> - 2.26.1-2
- add req. on yelp and hicolor-icon-theme
- fix dir ownership
- fix license
- preserve timestamps
- detect README changes

* Fri May 29 2009 Terje Rosten <terje.rosten@ntnu.no> - 2.26.1-1
- initial package
